QwtPickerClickRectMachine Class Reference

A state machine for rectangle selections. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerClickRectMachine:

## Public Member Functions

| QwtPickerClickRectMachine ()
| Constructor.
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *) override
| Transition.
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
| Constructor.
virtual | ~QwtPickerMachine ()
| Destructor.
void | reset ()
| Set the current state to 0.
int | state () const
| Return the current state.
void | setState (int)
| Change the current state.
SelectionType | selectionType () const
| Return the selection type.

## Additional Inherited Members

Public Types inherited from QwtPickerMachine
enum | SelectionType { NoSelection = -1 , PointSelection , RectSelection , PolygonSelection }
enum | Command { Begin , Append , Move , Remove , End }
| Commands - the output of a state machine.

## Detailed Description

A state machine for rectangle selections.

Pressing QwtEventPattern::MouseSelect1 starts the selection, releasing it selects the first point. Pressing it again selects the second point and terminates the selection. Pressing QwtEventPattern::KeySelect1 also starts the selection, a second press selects the first point. A third one selects the second point and terminates the selection.

See also
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Definition at line 140 of file qwt_picker_machine.h.